## Attach Domain `client.workers.domains.update(DomainUpdateParamsparams, RequestOptionsoptions?): DomainUpdateResponse` **put** `/accounts/{account_id}/workers/domains` Attaches a domain that routes traffic to a Worker. ### Parameters - `params: DomainUpdateParams` - `account_id: string` Path param: Identifier. - `hostname: string` Body param: Hostname of the domain. Can be either the zone apex or a subdomain of the zone. Requests to this hostname will be routed to the configured Worker. - `service: string` Body param: Name of the Worker associated with the domain. Requests to the configured hostname will be routed to this Worker. - `environment?: string` Body param: Worker environment associated with the domain. - `zone_id?: string` Body param: ID of the zone containing the domain hostname. - `zone_name?: string` Body param: Name of the zone containing the domain hostname. ### Returns - `DomainUpdateResponse` - `id: string` Immutable ID of the domain. - `cert_id: string` ID of the TLS certificate issued for the domain. - `environment: string` Worker environment associated with the domain. - `hostname: string` Hostname of the domain. Can be either the zone apex or a subdomain of the zone. Requests to this hostname will be routed to the configured Worker. - `service: string` Name of the Worker associated with the domain. Requests to the configured hostname will be routed to this Worker. - `zone_id: string` ID of the zone containing the domain hostname. - `zone_name: string` Name of the zone containing the domain hostname. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const domain = await client.workers.domains.update({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', hostname: 'app.example.com', service: 'my-worker', }); console.log(domain.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "dbe10b4bc17c295377eabd600e1787fd", "cert_id": "9fdf92c8-64c2-4a3d-b1af-e15304961145", "environment": "production", "hostname": "app.example.com", "service": "my-worker", "zone_id": "593c9c94de529bbbfaac7c53ced0447d", "zone_name": "example.com" }, "success": true } ```